Get notification preferences
GET
/notifications/preferences
const url = 'https://shoehorn.example.com/api/v1/notifications/preferences';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/notifications/preferencesResponses
Section titled “ Responses ”User notification preferences
Media type application/json
object
email_enabled
boolean
governance_actions
boolean
scorecard_changes
boolean
deployment_events
boolean
forge_run_updates
boolean
security_findings
boolean
Example generated
{ "email_enabled": true, "governance_actions": true, "scorecard_changes": true, "deployment_events": true, "forge_run_updates": true, "security_findings": true}